# osgDB::ParameterOutput Class Reference

List of all members.

## Public Member Functions

| ParameterOutput (Output &fw)
| ParameterOutput (Output &fw, int numItemsPerLine)
void | begin ()
void | newLine ()
void | end ()
template<class T>
void | write (const T &t)
template<class Iterator>
void | write (Iterator first, Iterator last)
template<class Iterator>
void | writeAsInts (Iterator first, Iterator last)

## Protected Attributes

Output & | _fw
int | _numItemsPerLine
int | _column

## Constructor & Destructor Documentation

osgDB::ParameterOutput::ParameterOutput | ( | Output & | fw | ) | `[inline]`

osgDB::ParameterOutput::ParameterOutput | ( | Output & | fw,
|  | int | numItemsPerLine
| ) | `[inline]`

## Member Function Documentation

void osgDB::ParameterOutput::begin | ( |  | ) | `[inline]`

void osgDB::ParameterOutput::end | ( |  | ) | `[inline]`

void osgDB::ParameterOutput::newLine | ( |  | ) | `[inline]`

template<class Iterator>
void osgDB::ParameterOutput::write | ( | Iterator | first,
|  | Iterator | last
| ) | `[inline]`

template<class T>
void osgDB::ParameterOutput::write | ( | const T & | t | ) | `[inline]`

template<class Iterator>
void osgDB::ParameterOutput::writeAsInts | ( | Iterator | first,
|  | Iterator | last
| ) | `[inline]`

## Member Data Documentation

int osgDB::ParameterOutput::_column `[protected]`

Output& osgDB::ParameterOutput::_fw `[protected]`

int osgDB::ParameterOutput::_numItemsPerLine `[protected]`

The documentation for this class was generated from the following file:

- ParameterOutput